﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Reading.Dto
{

    public class GetReadingImgOutDto
    {
        public string Path { get; set; }

        public string FileName { get; set; }
    }

    public class GetReadingImgInDto
    {
        
        public Guid SubjectVisitId { get; set; }
    }

    public class GetConfirmCriterionInDto
    {
        [NotDefault]
        public Guid TrialId { get; set; }
    }

   

    /// <summary>
    /// 返回对象
    /// </summary>
    public class GetTrialConfirmCriterionListOutDto
    {
        public Guid CriterionId { get; set; }

        /// <summary>
        /// 标准
        /// </summary>
        public string CriterionName { get; set; }
    }


    public class GetTrialReadingQuestionInDto
    {
        [NotDefault]
        public Guid CriterionId { get; set; }
    }

    /// <summary>
    /// 
    /// </summary>
    public class SubmitVisitTaskQuestionsInDto
    {
        public Guid VisitTaskId { get; set; }

        public List<QuestionAnswer> AnswerList { get; set; } = new List<QuestionAnswer>();
    }


    public class QuestionAnswer
    {
        public Guid TrialQuestionId { get; set; }

        public string Answer { get; set; }
    }


    public class GetTrialReadingQuestionDto
    {
        public Guid Id { get; set; }

        public string GroupName { get; set; }

        List<GetTrialReadingQuestionOutDto> Questions { get; set; }
    }

    public class GetTrialReadingQuestionOutDto
    {

        public Guid Id { get; set; }

        /// <summary>
        /// 项目Id
        /// </summary>
        public Guid TrialId { get; set; }

        /// <summary>
        /// 类型
        /// </summary>
        public string Type { get; set; }

        /// <summary>
        /// 父问题触发
        /// </summary>
        public string ParentTriggerValue { get; set; }

        /// <summary>
        /// 问题名称
        /// </summary>
        public string QuestionName { get; set; }

        /// <summary>
        /// 是否是必须
        /// </summary>
        public bool IsRequired { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int ShowOrder { get; set; }

        /// <summary>
        /// 父问题ID
        /// </summary>
        public Guid? ParentId { get; set; }


        /// <summary>
        /// 类型值
        /// </summary>
        public string TypeValue { get; set; }

        public List<GetTrialReadingQuestionOutDto> Childrens { get; set; }
    }


}
